KBUILDSYCOCA5(8)

NAME
kbuildsycoca5 - Refà el cau de la configuració del sistema pels fitxers d'escriptori al KService.

SINOPSIS

kbuildsycoca5 [OPCIONS...]

DESCRIPCIó

kbuildsycoca5 construeix el cau binari de les dades emmagatzemades als fitxers als fitxers .desktop, .xml i tipus MIME que l'entorn de treball KService utilitza per a trobar connectors, aplicacions i altres serveis.

La biblioteca KService utilitza aquesta base de dades per proporcionar de manera eficient la informació sol⋅licitada.

Normalment els usuaris no necessitaran executar aquesta aplicació directament. El KService l'executarà si cal, i si KDED està instal⋅lat i en execució s'executarà kbuildsyscoca5 cada vegada que algun dels fitxers canvia les dades desades a la memòria cau.

OPCIONS

--checkstamps
    Comprova les marques de temps dels fitxers de la memòria cau i els directoris de recursos que contenen les dades que van a la memòria cau, i només actualitza la base de dades si algun dels directoris de recursos ha estat modificat més recentment que la memòria cau. S'ignora si s'estableixen les opcions --nocheckfiles o --noincremental.

--global
    Ignora els fitxers definits per l'usuari (a XDG_DATA_HOME). Actualment, això només està suportat en sistemes Unix.

--nocheckfiles
    No reconstrueix la memòria cau a menys que alguna cosa més que un canvi en els fitxers de recursos (similar al format del canvi a la memòria cau, o canviar XDG_DATA_DIRS en un sistema Unix. S'ignora si s'estableix l'opció --global.

--noincremental
    En lloc d'utilitzar la memòria cau existent i només actualitzar la informació que ha canviat o que ha estat afegida, començarà amb una memòria cau buida. S'ignora si s'estableix l'opció --global.

--nosignal
    Ordinàriament, el kbuildsyscoca5 envia un senyal a través de D-Bus una vegada que la memòria cau s'actualitza per a totes les aplicacions que utilitzen KService, de manera que sempre estan treballant amb la informació més recent. Aquesta opció suprimeix aquest comportament.

--menutest
    Prova la generació de la base de dades del menú de l'aplicació. En realitat no construeix la memòria cau.

--testmode
    Utilitza el «mode de prova» QStandardPaths per evitar interferir amb les dades de l'usuari. Això és per a ús amb les proves unitàries.

--track ID-menú
    Segueix l'identificador de menú per a la depuració.

--author
    Mostra informació de l'autor.

--license
    Mostra informació de llicència.

-h, --help
    Mostra un text breu d'ajuda.

-v, --version
    Mostra informació de la versió.

FITXERS

cachedir/ksycoca5
    La memòria cau del KService generada per kbuildsycoca5. Sobre els sistemes Unix, el directori cau (cachedir) sol ser ~/.config

cachedir/ksycoca5stamp
    La marca de temps i altra meta-informació sobre el fitxer de memòria cau principal. Sobre els sistemes Unix, el directori cau (cachedir) sol ser ~/.config

VEURE TAMBé

kded5(8), kdeinit5(8)

ERRORS

Probablement hi ha molts errors. Useu el KDE's Bug Tracker[1] per a informar-los.

AUTHORS

Darian Lanx <content@openprojects.net>
    Va escriure la documentació original.

Alex Merry <alexmerry@kde.org>
    Ha actualitzat la documentació de KDE Frameworks 5.

NOTES

1.  KDE's Bug Tracker
    http://bugs.kde.org